﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.Editors;

namespace XamDataGridComboBoxCells
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ComboItems = new List<string>()
            {
                "New Name 1","New Name 2","New Name 3"
            };

            DSource = new ObservableCollection<ContentObject>()
            {
                new ContentObject(){Name="Steven", Age="42"},
                new ContentObject(){Name="Anna", Age="99"},
                new ContentObject(){Name="Joe", Age="12"},
                new ContentObject(){Name="John", Age="21"}
            };
            
            this.DataContext = this;
        }

        void ComboEditor_EditModeEnding(object sender, Infragistics.Windows.Editors.Events.EditModeEndingEventArgs e)
        {
            foreach (string item in (sender as XamComboEditor).ComboBox.Items)
            {
                if ((sender as XamComboEditor).Text.Equals(item))
                    return;
            }
            MessageBox.Show("Value is not in the list");
            e.AcceptChanges = false;
            
        }

        public ObservableCollection<ContentObject> DSource { get; set; }
        public List<string> ComboItems { get; set; }
    }


    public class ContentObject
    {
        public string Name { get; set; }
        public string Age { get; set; }
    }
}
